--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Colon 2 returns a zclass-typed sexp
full_name: TypeChecker#process_colon2
is_singleton: false
name: process_colon2
params: (exp)
visibility: public
